Bug 427992 - Pulseaudio doesn't give up dbus connections while exiting
Pulseaudio doesn't give up dbus connections while exiting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://www.pulseaudio.org/ticket/246
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 10:02 EST by Lubomir Kundrak
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 15:55:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-08 10:02:45 EST
Description of problem:

$ pulseaudio -h
...
process 18532: dbus_shutdown() called but connections were still live. This
probably means the application did not drop all its references to bus connections.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
$

This also happens when pulse-audio daemon is being shut down in any way (both
server and the client that does "pulseaudio -k" do die this way).
Comment 1 Jan Hutař 2008-02-25 16:31:46 EST
I can see it in F8 as well.
Comment 2 Lubomir Kundrak 2008-02-26 00:15:51 EST
Upstream ticket:
http://www.pulseaudio.org/ticket/246

Note You need to log in before you can comment on or make changes to this bug.